Marianne ANSSI

CERT-FR

Centre gouvernemental de veille, d'alerte et de réponse aux attaques informatiques

logo ANSSI
Informations utiles

Que faire en cas d'intrusion ?

Les systèmes obsolètes

Liens utiles

 

L'ANSSI recrute

 

 

Les documents du CERT-FR

Publications récentes

Les alertes en cours

Les bulletins d'actualité

Les notes d'information

Année en cours Archive

 

Les Flux RSS du CERT-FR

Flux RSS complet

RSS

Flux RSS des alertes

RSS

Flux RSS SCADA

RSS

 

CERTA-2011-AVI-086

Imprimer ce document

Version PDF

À propos du CERT-FR

Le CERT-FR

Nous contacter

Contact us ( Drapeau anglais )

A propos du site

Communauté CSIRT

Les CSIRT

Le FIRST

L'EGC

 
Archives du CERT-FR

Année 2017 Archive

Année 2016 Archive

Année 2015 Archive

Année 2014 Archive

Année 2013 Archive

Année 2012 Archive

Année 2011 Archive

Année 2010 Archive

Année 2009 Archive

Année 2008 Archive

Année 2007 Archive

Année 2006 Archive

Année 2005 Archive

Année 2004 Archive

Année 2003 Archive

Année 2002 Archive

Année 2001 Archive

Année 2000 Archive

 

S . G . D . S . N
Agence nationale
de la sécurité des
systèmes d'information

République Française Paris, le 16 février 2011
No CERTA-2011-AVI-086-001

Affaire suivie par :

CERTA

AVIS DU CERTA

Objet : Multiples vulnérabilités dans Django


Conditions d'utilisation de ce document : http://www.certa.ssi.gouv.fr/certa/apropos.html
Dernière version de ce document : http://www.certa.ssi.gouv.fr/site/CERTA-2011-AVI-086

Gestion du document


Tableau 1: Gestion du document
Référence CERTA-2011-AVI-086-001
Titre Multiples vulnérabilités dans Django
Date de la première version 14 février 2011
Date de la dernière version 16 février 2011
Source(s) Bulletin de sécurité Django du 8 février 2011
Pièce(s) jointe(s) Aucune

Une gestion de version détaillée se trouve à la fin de ce document.

1 Risque

  • Atteinte à la confidentialité des données ;
  • injection de code indirecte à distance ;
  • contournement de la politique de sécurité.

2 Systèmes affectés

  • Django 1.2.x versions inférieures à 1.2.5 ;
  • Django 1.1.x versions inférieures à 1.1.4.

3 Résumé

Plusieurs vulnérabilités ont été corrigées dans Django. Celles-ci permettent de contourner la politique de sécurité, de réaliser une injection de code indirecte à distance et porter atteinte à la confidentialité des données.

4 Description

La première vulnérabilité corrigée permet de contourner la protection anti-injection de requêtes illégitimes par rebond. Une faille dans la gestion des noms de fichiers téléchargés vers le serveur permet à une personne malveillante de réaliser une injection de code indirecte à distance. Enfin, sur les systèmes Windows un attaquant capable de rejouer des connexions au serveur ou de contourner les mécanismes d'authentification peut afficher des fichiers arbitraires, à cause d'un problème dans l'utilisation des caractères de séparation du système de fichiers.

5 Solution

Se référer au bulletin de sécurité de l'éditeur pour l'obtention des correctifs (cf. section Documentation).

6 Documentation

Gestion détaillée du document

14 février 2011
version initiale.
16 février 2011
ajout de la référence au bulletin Debian et des références CVE.


CERTA
2014-01-17
Premier Ministre / Secrétariat Général de la Défense et de la Sécurité Nationale / Agence nationale de la sécurité des systèmes d'information webmestre Dernière mise à jour : le 2017-08-21